﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace GradientPanel
{
    public partial class Form1 : Office2007Form
    {
        public Form1()
        {
            InitializeComponent();
            this.comboBox1.SelectedIndex = 0;
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {           
            if (this.comboBox1.Text == "Black")
            {
                //To set the color scheme as black
                this.ColorScheme = Office2007Theme.Black;
                //To Change the Back color of the GradientPanel to Office2007Black
                this.gradientPanel1.BackColor = Color.FromArgb(113, 113, 113);
                this.label1.ForeColor = Color.White;
                this.label2.ForeColor = Color.White;
                this.CaptionForeColor = Color.White;
            }
            else if (this.comboBox1.Text == "Blue")
            {
                //To set the color scheme as blue
                this.ColorScheme = Office2007Theme.Blue;
                //To Change the Back color of the GradientPanel to Office2007Blue
                this.gradientPanel1.BackColor = Color.FromArgb(187, 212, 246);
                this.label1.ForeColor = Color.Black;
                this.label2.ForeColor = Color.Black;
                this.CaptionForeColor = Color.Black;
            }
            else if (this.comboBox1.Text == "Silver")
            {
                //To set the color scheme as silver
                this.ColorScheme = Office2007Theme.Silver;
                //To Change the Back color of the GradientPanel to Office2007Silver
                this.gradientPanel1.BackColor = Color.FromArgb(202, 207, 217);
                this.label1.ForeColor = Color.Black;
                this.label2.ForeColor = Color.Black;
                this.CaptionForeColor = Color.Black;
            }
            else
            {
                //To set the managed color scheme for Office2007Form
                this.ColorScheme = Office2007Theme.Managed;
                //To apply the managed color to Office2007Form
                Office2007Colors.ApplyManagedColors(this, Color.Red);
                //To get the form backcolor from the color table
                Color color = Office2007Colors.GetColorTable(Office2007Theme.Managed).FormBackground;
                //To Change the Back color of the GradientPanel to Managed color
                this.gradientPanel1.BackColor = color;
                this.label1.ForeColor = Color.Black;
                this.label2.ForeColor = Color.Black;
                this.CaptionForeColor = Color.Black;
            }
        }
    }
}
